let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-20.09";
    rev = "ac60476ed94fd5424d9f3410c438825f793a8cbb";
  };
in

{
  inherit nixpkgs;
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-20.03" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-20.03";
    rev = "1db42b7fe3878f3f5f7a4f2dc210772fd080e205";
  };
  "channels-nixos-19.09" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-19.09";
    rev = "75f4ba05c63be3f147bcc2f7bd4ba1f029cedcb1";
  };
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "900115a4f7fdd9189e7803ca781a65be663f2c89";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "f0fa05742058fef85c49e132c2851940915698ef";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-20.09";
    rev = "2aa20ae969f2597c4df10a094440a66e9d7f8c86";
  };
}
